QueueConfiguration (Mule ESB 2.2.1 API)
Keywords: org.mule.util.queue.QueueConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.queue
Class QueueConfiguration

    java.lang.Object
      org.mule.util.queue.QueueConfiguration

    public class QueueConfiguration

extends Object

Field Summary
`protected int` | `capacity`
`protected boolean` | `persistent`

Constructor Summary
`QueueConfiguration()`
`QueueConfiguration(boolean persistent)`
`QueueConfiguration(int capacity)`
`QueueConfiguration(int capacity, boolean persistent)`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getCapacity()`
`int` | `hashCode()`
`boolean` | `isPersistent()`
`void` | `setCapacity(int capacity)`
`void` | `setPersistent(boolean persistent)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capacity

    protected int capacity

### persistent

    protected boolean persistent

Constructor Detail

### QueueConfiguration

    public QueueConfiguration(int capacity,
                              boolean persistent)

### QueueConfiguration

    public QueueConfiguration(int capacity)

### QueueConfiguration

    public QueueConfiguration(boolean persistent)

### QueueConfiguration

    public QueueConfiguration()

Method Detail

### getCapacity

    public int getCapacity()

  Returns:
    Returns the capacity.

### setCapacity

    public void setCapacity(int capacity)

  Parameters:
    `capacity` - The capacity to set.

### isPersistent

    public boolean isPersistent()

  Returns:
    Returns the persistent.

### setPersistent

    public void setPersistent(boolean persistent)

  Parameters:
    `persistent` - The persistent to set.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.